From 5304a1eb3a2bbcc379924d3f5a58b64ce77f4849 Mon Sep 17 00:00:00 2001
From: Eelco Dolstra <e.dolstra@tudelft.nl>
Date: Sat, 12 Jul 2003 11:03:14 +0000
Subject: [PATCH] * Fetchurl: check md5 checksum.

---
 corepkgs/fetchurl/fetchurl.fix | 4 ++--
 corepkgs/fetchurl/fetchurl.sh  | 9 ++++++++-
 2 files changed, 10 insertions(+), 3 deletions(-)

diff --git a/corepkgs/fetchurl/fetchurl.fix b/corepkgs/fetchurl/fetchurl.fix
index a3b3d46e1..f798c0bec 100644
--- a/corepkgs/fetchurl/fetchurl.fix
+++ b/corepkgs/fetchurl/fetchurl.fix
@@ -1,8 +1,8 @@
-Function(["url", "hash"],
+Function(["url", "md5"],
   Package(
     [ ("build", Relative("fetchurl/fetchurl.sh"))
     , ("url", Var("url"))
-    , ("hash", Var("hash"))
+    , ("md5", Var("md5"))
     , ("name", BaseName(Var("url")))
     ]
   )
diff --git a/corepkgs/fetchurl/fetchurl.sh b/corepkgs/fetchurl/fetchurl.sh
index a92092c6e..7b6243974 100644
--- a/corepkgs/fetchurl/fetchurl.sh
+++ b/corepkgs/fetchurl/fetchurl.sh
@@ -1,3 +1,10 @@
 #! /bin/sh
 
-wget "$url" -O "$out"
+echo "downloading $url into $out..."
+wget "$url" -O "$out" || exit 1
+
+actual=$(md5sum -b $out | cut -c1-32)
+if ! test "$actual" == "$md5"; then
+    echo "hash is $actual, expected $md5"
+    exit 1
+fi
-- 
GitLab